
Base Distribution - Task # 41873

Story # 41107 (New): As a user, I want a working demo site

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-10-11 Assigned To:
Updated: 2012-10-15 Due date:
Subject: Fix the site:prune command
Description

Related issues:
duplicates TYPO3.Setup - Bug # 40914: Setup fails on deleting existing site Resolved 2012-09-13

Associated revisions
Revision 32749fc1 - 2012-10-14 01:11 - Rens Admiraal

[BUGFIX] Fix foreign key constraint during site:prune

Foreign keys prevented removal of all nodes / workspaces. This broke
the site:prune command in the TYPO3.TYPO3 package. By setting the
baseWorkspace to NULL on delete the error is prevented and the
tables can be truncated.

Change-Id: I967721ab4cf140527ea7a03da85ffead093c2d69
Fixes: #41873

Revision ea9bca84 - 2012-10-19 11:00 - Karsten Dambekalns

[TASK] Add missing PostgreSQL migration

The fix for #41873 (see I967721ab4cf140527ea7a03da85ffead093c2d69)
should have had a PostgreSQL migration. This change adds it.

Change-Id: Ib7950af49da98a338f392360a25695578f6d8808
Related: #41873

History
#1 - 2012-10-14 01:12 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15585

#2 - 2012-10-15 19:36 - Rens Admiraal
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:32749fc1ee0212e2c93026e36511fcc47b4c22b5.
